Set debit card lock status
curl --request POST \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/debit-cards/{id}/lock-status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"locked": true
}'import requests
url = "https://api.sandbox.tesouro.com/embedded-banking/v1/debit-cards/{id}/lock-status"
payload = { "locked": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({locked: true})
};
fetch('https://api.sandbox.tesouro.com/embedded-banking/v1/debit-cards/{id}/lock-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Debit Cards
Set debit card lock status
Token types: APP, USER | Required scopes: debit_card:lock:org
POST
/
embedded-banking
/
v1
/
debit-cards
/
{id}
/
lock-status
Set debit card lock status
This feature is in Beta and not ready for production integration.
Was this page helpful?